INTERFACE
SUBROUTINE LAPINEB(&
 & KFLDSLB2,KST,KPROF,KSTGLO,LDSLPHY,&
 & PCOLON,PSILON,PGM,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PGNORDL,PGNORDM,POMVRL,POMVRM,PINDX,PINDY,&
 & POROG,POROGL_RE,POROGM_RE,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,KLEV,PDVER,PVINTW,PVINTWSLD,PVINTWS,&
 & PVDERW,PHVW,&
 & KL0H,PDLOH,PCLOH,PCLOHSLD,PDLATH,PCLAH,PCLAHSLD,PDVERH,PVINTWH,PVINTWHSLD,&
 & PUF,PVF,&
 & PB1,PQ,&
 & KVSEPC,KVSEPL,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,&
 & PLON,PLAT,PQX,PQY,&
 & PB2,PGMVT1,PGMVT1S,PGFLT1,&
 & PGFLPC,&
 & PUP9,PVP9,PTP9,PGFLP9) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGUNG ,NDGUXG ,NDLUNG ,NDLUXG ,NFLEVG ,&
 & NFGPPC ,NPROMA ,NPROMVC ,NPROMDLR ,NFLSA ,NFLEN 
USE YOM_YGFL , ONLY : YGFL ,YGFLC,YQ,YCVGQ
USE YOMSC2 , ONLY : NFLDSLB1
USE YOMGMV , ONLY : YT1
USE YOMMP , ONLY : NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDSLPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL_RE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM_RE(NPROMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWS(NPROMA,NFLEVG,1:4)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDERW(NPROMA,NFLEVG,2,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PHVW(NPROMA,NFLEVG,4)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0H(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLOH(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOH(NPROMA,0:NFLEVG -1,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOHSLD(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLATH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVERH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQX(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQY(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,KFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLPC(NPROMA,NFLEVG,YGFL%NDIMPC)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLP9(NPROMA,NFLEVG,YGFL%NUMFLDS)
END SUBROUTINE LAPINEB
END INTERFACE
